"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
"                                                                             "
"   ● ○ ○ ○ ●                                                                 "
"   ● ● ○ ● ●   Mike Ochmann                                                  "
"   ● ○ ● ○ ●   https://mike-ochmann.de                                       "
"   ● ○ ○ ○ ●                                                                 "
"   ● ○ ○ ○ ●                                                                 "
"                                                                             "
"   My configuration for the `vim` editor                                     "
"   Version 1,0,0                                                             "
"                                                                             "
"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""

set nocompatible
filetype off

set rtp+=$HOME/.vim/bundle/Vundle.vim
autocmd FileType php set omnifunc=phpcomplete#CompletePHP
call vundle#begin()

Plugin 'VundleVim/Vundle.vim'
Plugin 'preservim/nerdtree'
Plugin 'kalafut/vim-taskjuggler'
Plugin 'octol/vim-cpp-enhanced-highlight'
Plugin 'mkusher/padawan.vim'
Plugin 'alvan/vim-closetag'

call vundle#end()            " required
filetype plugin indent on    " required

set relativenumber

execute pathogen#infect()
syntax on
filetype plugin indent on

colorscheme monokai

set tabstop=4
set laststatus=2
set ruler
let NERDTreeShowHidden=1
map <silent> <C-n> :NERDTreeToggle<CR>

nnoremap <buffer> <F5> :w<cr> :! clear; ./% <cr>

let g:closetag_filenames = '*.html,*.xhtml,*.phtml,*.php'
autocmd BufRead ~/.ssh/config.d/* set syntax=sshconfig
